local require = GLOBAL.require
local SpawnPrefab = GLOBAL.SpawnPrefab
--
require "class"
--
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action
--


PrefabFiles = {
--	"link"
}

Assets = { 

    Asset( "IMAGE", "bigportraits/link.tex" ),
    Asset( "ATLAS", "bigportraits/link.xml" ),
--------------------------------------------------------------------
        Asset( "ANIM", "anim/link.zip" ),
        Asset( "ANIM", "anim/bink.zip" ),
        Asset( "ANIM", "anim/rink.zip" )    
}


function LinkPridePostInit( inst )

	inst.components.hunger:SetMax(300)
 inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE)

 inst.components.health.fire_damage_scale = 0
 inst:AddTag("wearingredtunic")
 inst:AddTag("dinsfire")
 
 inst.components.temperature.hurtrate = 0
        
 inst:AddComponent("insulator")
 inst.components.insulator.insulation = math.huge
 
 end
 
 
 AddPrefabPostInit("link", LinkPridePostInit)
